//
//  SundialData.m
//  SunDial
//
//  Created by SJSU Students on 5/1/12.
//  Copyright (c) 2012 SJSU Students. All rights reserved.
//

#import "SundialData.h"

@implementation SundialData

@synthesize locationManager = _locationManager;
@synthesize myLatitude = _myLatitude;
@synthesize myLongitude = _myLongitude;
@synthesize myTrueNorth = _myTrueNorth;
@synthesize headingAvailbl = _headingAvailbl;
@synthesize motionManager = _motionManager;
@synthesize gyroX = _gyroX;
@synthesize gyroY = _gyroY;
@synthesize gyroZ = _gyroZ;

- (NSString *)getDateTimeFormat:(NSString *)datetime
{
    NSDateFormatter *aFormat = [[NSDateFormatter alloc] init];
    NSString *theDateFormat = [[NSString alloc] init];
    NSString *theTimeFormat = [[NSString alloc] init];
    NSString *returnString = [[NSString alloc] init];
    NSString *hour = [[NSString alloc] init];
    NSDate *today = [NSDate date];
    if([datetime isEqualToString:@"timesun"]) {
        [aFormat setDateFormat:@"HH"];
        hour = [aFormat stringFromDate:today];
        returnString = hour;
    }
    if ([datetime isEqualToString:@"dateinfo"]) {
        [aFormat setDateFormat:@"MMM dd yyyy"];
        theDateFormat = [aFormat stringFromDate:today];
        returnString = theDateFormat;
    }
    if([datetime isEqualToString:@"timeinfo"]) {
        [aFormat setDateFormat:@"hh:mm a"];
        theTimeFormat = [aFormat stringFromDate:today];
        returnString = theTimeFormat;
    }
    return returnString;
}

@end
