//
//  SundialData.h
//  SunDial
//
//  Created by SJSU Students on 5/1/12.
//  Copyright (c) 2012 SJSU Students. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import <CoreMotion/CoreMotion.h>
#import <CoreFoundation/CoreFoundation.h>

@interface SundialData : NSObject

// location info
@property (strong, nonatomic) CLLocationManager *locationManager;
@property (strong, nonatomic) NSString *myLatitude;
@property (strong, nonatomic) NSString *myLongitude;
@property (strong, nonatomic) NSString *myTrueNorth;
@property (strong, nonatomic) NSString *headingAvailbl;

// gyro info for tilts
@property (strong, nonatomic) CMMotionManager *motionManager;
@property double gyroX;
@property double gyroY;
@property double gyroZ;

// method that returns the date/time formatted for sundial 
- (NSString *)getDateTimeFormat:(NSString *)datetime;

@end
