//
//  ViewController.h
//  SunDial
//
//  Created by SJSU Students on 4/18/12.
//  Copyright (c) 2012 SJSU Students. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreFoundation/CoreFoundation.h>
#import <CoreLocation/CoreLocation.h>
#import <CoreMotion/CoreMotion.h>

#import "SundialData.h"

@class SundialView;
@class SundialData;

@interface ViewController : UIViewController <CLLocationManagerDelegate>

// Sundial and info Views
@property (strong, nonatomic) IBOutlet SundialView *sundial;
@property (strong, nonatomic) IBOutlet UIView *theTitle;
@property (strong, nonatomic) IBOutlet UIView *info;

// Info view labels
@property (strong, nonatomic) IBOutlet UILabel *dateLabel;
@property (strong, nonatomic) IBOutlet UILabel *timeLabel;
@property (strong, nonatomic) IBOutlet UILabel *trueNorthLabel;
@property (strong, nonatomic) IBOutlet UILabel *latitudeLabel;
@property (strong, nonatomic) IBOutlet UILabel *longitudeLabel;
@property (strong, nonatomic) IBOutlet UILabel *tiltLabel;

// gesture recognizers
@property (strong, nonatomic) UISwipeGestureRecognizer *swipeRight;
@property (strong, nonatomic) UITapGestureRecognizer *doubleTap;

// My Sundial model
@property (strong, nonatomic) SundialData *mySundial;

@end
